summarylogtreecommitdiffstats
path: root/uim-mozc.install
diff options
context:
space:
mode:
Diffstat (limited to 'uim-mozc.install')
-rwxr-xr-xuim-mozc.install19
1 files changed, 19 insertions, 0 deletions
diff --git a/uim-mozc.install b/uim-mozc.install
new file mode 100755
index 000000000000..586121d9a1af
--- /dev/null
+++ b/uim-mozc.install
@@ -0,0 +1,19 @@
+post_install() {
+ echo -n "Registering mozc on uim..."
+ uim-module-manager --register mozc
+ [[ $? != 0 ]] && echo "Failed." || echo "Done."
+
+ cat << _EOF
+ ==> You must run the following command to use mozc
+ ==> whenever you upgrade or (re-)install uim.
+
+ \`sudo uim-module-manager --register mozc'
+
+_EOF
+}
+
+post_remove() {
+ echo -n "Unregistering mozc from uim..."
+ uim-module-manager --unregister mozc
+ [[ $? != 0 ]] && echo "Failed." || echo "Done."
+}